Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -1382,185 +1205,190 @@ static int FlashPoint_ProbeHostAdapter(s
  *
  *---------------------------------------------------------------------*/
 
-static unsigned long FlashPoint_HardwareResetHostAdapter(struct sccb_mgr_info * pCardInfo)
+static unsigned long FlashPoint_HardwareResetHostAdapter(struct sccb_mgr_info
+							 *pCardInfo)
 {
-   struct sccb_card * CurrCard = NULL;
-	struct nvram_info * pCurrNvRam;
-   unsigned char i,j,thisCard, ScamFlg;
-   unsigned short temp,sync_bit_map,id;
-   unsigned long ioport;
+	struct sccb_card *CurrCard = NULL;
+	struct nvram_info *pCurrNvRam;
+	unsigned char i, j, thisCard, ScamFlg;
+	unsigned short temp, sync_bit_map, id;
+	unsigned long ioport;
 
-   ioport = pCardInfo->si_baseaddr;
+	ioport = pCardInfo->si_baseaddr;
 
-   for(thisCard =0; thisCard <= MAX_CARDS; thisCard++) {
+	for (thisCard = 0; thisCard <= MAX_CARDS; thisCard++) {
 
-      if (thisCard == MAX_CARDS) {
+		if (thisCard == MAX_CARDS) {
 
-	 return(FAILURE);
-         }
+			return (FAILURE);
+		}
 
-      if (FPT_BL_Card[thisCard].ioPort == ioport) {
+		if (FPT_BL_Card[thisCard].ioPort == ioport) {
 
-         CurrCard = &FPT_BL_Card[thisCard];
-         FPT_SccbMgrTableInitCard(CurrCard,thisCard);
-         break;
-         }
+			CurrCard = &FPT_BL_Card[thisCard];
+			FPT_SccbMgrTableInitCard(CurrCard, thisCard);
+			break;
+		}
 
-      else if (FPT_BL_Card[thisCard].ioPort == 0x00) {
+		else if (FPT_BL_Card[thisCard].ioPort == 0x00) {
 
-         FPT_BL_Card[thisCard].ioPort = ioport;
-         CurrCard = &FPT_BL_Card[thisCard];
+			FPT_BL_Card[thisCard].ioPort = ioport;
+			CurrCard = &FPT_BL_Card[thisCard];
 
-			if(FPT_mbCards)
-				for(i = 0; i < FPT_mbCards; i++){
-					if(CurrCard->ioPort == FPT_nvRamInfo[i].niBaseAddr)
-						CurrCard->pNvRamInfo = &FPT_nvRamInfo[i];
+			if (FPT_mbCards)
+				for (i = 0; i < FPT_mbCards; i++) {
+					if (CurrCard->ioPort ==
+					    FPT_nvRamInfo[i].niBaseAddr)
+						CurrCard->pNvRamInfo =
+						    &FPT_nvRamInfo[i];
 				}
-         FPT_SccbMgrTableInitCard(CurrCard,thisCard);
-         CurrCard->cardIndex = thisCard;
-         CurrCard->cardInfo = pCardInfo;
+			FPT_SccbMgrTableInitCard(CurrCard, thisCard);
+			CurrCard->cardIndex = thisCard;
+			CurrCard->cardInfo = pCardInfo;
 
-	 break;
-         }
-      }
+			break;
+		}
+	}
 
 	pCurrNvRam = CurrCard->pNvRamInfo;
 
-	if(pCurrNvRam){
+	if (pCurrNvRam) {
 		ScamFlg = pCurrNvRam->niScamConf;
-	}
-	else{
-	   ScamFlg = (unsigned char) FPT_utilEERead(ioport, SCAM_CONFIG/2);
+	} else {
+		ScamFlg =
+		    (unsigned char)FPT_utilEERead(ioport, SCAM_CONFIG / 2);
 	}
 
+	FPT_BusMasterInit(ioport);
+	FPT_XbowInit(ioport, ScamFlg);
 
-   FPT_BusMasterInit(ioport);
-   FPT_XbowInit(ioport, ScamFlg);
+	FPT_autoLoadDefaultMap(ioport);
 
-   FPT_autoLoadDefaultMap(ioport);
+	for (i = 0, id = 0x01; i != pCardInfo->si_id; i++, id <<= 1) {
+	}
 
+	WR_HARPOON(ioport + hp_selfid_0, id);
+	WR_HARPOON(ioport + hp_selfid_1, 0x00);
+	WR_HARPOON(ioport + hp_arb_id, pCardInfo->si_id);
+	CurrCard->ourId = pCardInfo->si_id;
 
-   for (i = 0,id = 0x01; i != pCardInfo->si_id; i++,id <<= 1){}
+	i = (unsigned char)pCardInfo->si_flags;
+	if (i & SCSI_PARITY_ENA)
+		WR_HARPOON(ioport + hp_portctrl_1, (HOST_MODE8 | CHK_SCSI_P));
 
-   WR_HARPOON(ioport+hp_selfid_0, id);
-   WR_HARPOON(ioport+hp_selfid_1, 0x00);
-   WR_HARPOON(ioport+hp_arb_id, pCardInfo->si_id);
-   CurrCard->ourId = pCardInfo->si_id;
+	j = (RD_HARPOON(ioport + hp_bm_ctrl) & ~SCSI_TERM_ENA_L);
+	if (i & LOW_BYTE_TERM)
+		j |= SCSI_TERM_ENA_L;
+	WR_HARPOON(ioport + hp_bm_ctrl, j);
 
-   i = (unsigned char) pCardInfo->si_flags;
-   if (i & SCSI_PARITY_ENA)
-       WR_HARPOON(ioport+hp_portctrl_1,(HOST_MODE8 | CHK_SCSI_P));
+	j = (RD_HARPOON(ioport + hp_ee_ctrl) & ~SCSI_TERM_ENA_H);
+	if (i & HIGH_BYTE_TERM)
+		j |= SCSI_TERM_ENA_H;
+	WR_HARPOON(ioport + hp_ee_ctrl, j);
 
-   j = (RD_HARPOON(ioport+hp_bm_ctrl) & ~SCSI_TERM_ENA_L);
-   if (i & LOW_BYTE_TERM)
-      j |= SCSI_TERM_ENA_L;
-   WR_HARPOON(ioport+hp_bm_ctrl, j);
+	if (!(pCardInfo->si_flags & SOFT_RESET)) {
 
-   j = (RD_HARPOON(ioport+hp_ee_ctrl) & ~SCSI_TERM_ENA_H);
-   if (i & HIGH_BYTE_TERM)
-      j |= SCSI_TERM_ENA_H;
-   WR_HARPOON(ioport+hp_ee_ctrl, j );
+		FPT_sresb(ioport, thisCard);
 
+		FPT_scini(thisCard, pCardInfo->si_id, 0);
+	}
 
-   if (!(pCardInfo->si_flags & SOFT_RESET)) {
+	if (pCardInfo->si_flags & POST_ALL_UNDERRRUNS)
+		CurrCard->globalFlags |= F_NO_FILTER;
 
-      FPT_sresb(ioport,thisCard);
-
-         FPT_scini(thisCard, pCardInfo->si_id, 0);
-      }
-
-
-
-   if (pCardInfo->si_flags & POST_ALL_UNDERRRUNS)
-      CurrCard->globalFlags |= F_NO_FILTER;
-
-	if(pCurrNvRam){
-		if(pCurrNvRam->niSysConf & 0x10)
+	if (pCurrNvRam) {
+		if (pCurrNvRam->niSysConf & 0x10)
+			CurrCard->globalFlags |= F_GREEN_PC;
+	} else {
+		if (FPT_utilEERead(ioport, (SYSTEM_CONFIG / 2)) & GREEN_PC_ENA)
 			CurrCard->globalFlags |= F_GREEN_PC;
-	}
-	else{
-	   if (FPT_utilEERead(ioport, (SYSTEM_CONFIG/2)) & GREEN_PC_ENA)
-   	   CurrCard->globalFlags |= F_GREEN_PC;
 	}
 
 	/* Set global flag to indicate Re-Negotiation to be done on all
-		ckeck condition */
-	if(pCurrNvRam){
-		if(pCurrNvRam->niScsiConf & 0x04)
+	   ckeck condition */
+	if (pCurrNvRam) {
+		if (pCurrNvRam->niScsiConf & 0x04)
+			CurrCard->globalFlags |= F_DO_RENEGO;
+	} else {
+		if (FPT_utilEERead(ioport, (SCSI_CONFIG / 2)) & RENEGO_ENA)
 			CurrCard->globalFlags |= F_DO_RENEGO;
-	}
-	else{
-	   if (FPT_utilEERead(ioport, (SCSI_CONFIG/2)) & RENEGO_ENA)
-   	   CurrCard->globalFlags |= F_DO_RENEGO;
 	}
 
-	if(pCurrNvRam){
-		if(pCurrNvRam->niScsiConf & 0x08)
+	if (pCurrNvRam) {
+		if (pCurrNvRam->niScsiConf & 0x08)
+			CurrCard->globalFlags |= F_CONLUN_IO;
+	} else {
+		if (FPT_utilEERead(ioport, (SCSI_CONFIG / 2)) & CONNIO_ENA)
 			CurrCard->globalFlags |= F_CONLUN_IO;
-	}
-	else{
-	   if (FPT_utilEERead(ioport, (SCSI_CONFIG/2)) & CONNIO_ENA)
-   	   CurrCard->globalFlags |= F_CONLUN_IO;
 	}
 
+	temp = pCardInfo->si_per_targ_no_disc;
 
-   temp = pCardInfo->si_per_targ_no_disc;
+	for (i = 0, id = 1; i < MAX_SCSI_TAR; i++, id <<= 1) {
 
-   for (i = 0,id = 1; i < MAX_SCSI_TAR; i++, id <<= 1) {
-
-      if (temp & id)
-	 FPT_sccbMgrTbl[thisCard][i].TarStatus |= TAR_ALLOW_DISC;
-      }
+		if (temp & id)
+			FPT_sccbMgrTbl[thisCard][i].TarStatus |= TAR_ALLOW_DISC;
+	}
 
-   sync_bit_map = 0x0001;
+	sync_bit_map = 0x0001;
 
-   for (id = 0; id < (MAX_SCSI_TAR/2); id++) {
+	for (id = 0; id < (MAX_SCSI_TAR / 2); id++) {
 
-		if(pCurrNvRam){
-			temp = (unsigned short) pCurrNvRam->niSyncTbl[id];
+		if (pCurrNvRam) {
+			temp = (unsigned short)pCurrNvRam->niSyncTbl[id];
 			temp = ((temp & 0x03) + ((temp << 4) & 0xc0)) +
-					 (((temp << 4) & 0x0300) + ((temp << 8) & 0xc000));
-		}else
-	      temp = FPT_utilEERead(ioport, (unsigned short)((SYNC_RATE_TBL/2)+id));
-
-      for (i = 0; i < 2; temp >>=8,i++) {
-
-         if (pCardInfo->si_per_targ_init_sync & sync_bit_map) {
-
-            FPT_sccbMgrTbl[thisCard][id*2+i].TarEEValue = (unsigned char)temp;
-            }
-
-         else {
-	    FPT_sccbMgrTbl[thisCard][id*2+i].TarStatus |= SYNC_SUPPORTED;
-            FPT_sccbMgrTbl[thisCard][id*2+i].TarEEValue =
-               (unsigned char)(temp & ~EE_SYNC_MASK);
-            }
+			    (((temp << 4) & 0x0300) + ((temp << 8) & 0xc000));
+		} else
+			temp =
+			    FPT_utilEERead(ioport,
+					   (unsigned short)((SYNC_RATE_TBL / 2)
+							    + id));
+
+		for (i = 0; i < 2; temp >>= 8, i++) {
+
+			if (pCardInfo->si_per_targ_init_sync & sync_bit_map) {
+
+				FPT_sccbMgrTbl[thisCard][id * 2 +
+							 i].TarEEValue =
+				    (unsigned char)temp;
+			}
+
+			else {
+				FPT_sccbMgrTbl[thisCard][id * 2 +
+							 i].TarStatus |=
+				    SYNC_SUPPORTED;
+				FPT_sccbMgrTbl[thisCard][id * 2 +
+							 i].TarEEValue =
+				    (unsigned char)(temp & ~EE_SYNC_MASK);
+			}
 
 /*         if ((pCardInfo->si_per_targ_wide_nego & sync_bit_map) ||
             (id*2+i >= 8)){
 */
-         if (pCardInfo->si_per_targ_wide_nego & sync_bit_map){
+			if (pCardInfo->si_per_targ_wide_nego & sync_bit_map) {
 
-            FPT_sccbMgrTbl[thisCard][id*2+i].TarEEValue |= EE_WIDE_SCSI;
+				FPT_sccbMgrTbl[thisCard][id * 2 +
+							 i].TarEEValue |=
+				    EE_WIDE_SCSI;
 
-            }
-
-         else { /* NARROW SCSI */
-            FPT_sccbMgrTbl[thisCard][id*2+i].TarStatus |= WIDE_NEGOCIATED;
-            }
-
-
-	 sync_bit_map <<= 1;
+			}
 
+			else {	/* NARROW SCSI */
+				FPT_sccbMgrTbl[thisCard][id * 2 +
+							 i].TarStatus |=
+				    WIDE_NEGOCIATED;
+			}
 
+			sync_bit_map <<= 1;
 
-         }
-      }
+		}
+	}
 
-   WR_HARPOON((ioport+hp_semaphore),
-      (unsigned char)(RD_HARPOON((ioport+hp_semaphore)) | SCCB_MGR_PRESENT));
+	WR_HARPOON((ioport + hp_semaphore),
+		   (unsigned char)(RD_HARPOON((ioport + hp_semaphore)) |
+				   SCCB_MGR_PRESENT));
 
-   return((unsigned long)CurrCard);
+	return ((unsigned long)CurrCard);
 }
 
 static void FlashPoint_ReleaseHostAdapter(unsigned long pCurrCard)
@@ -1570,36 +1398,37 @@ static void FlashPoint_ReleaseHostAdapte
 	unsigned long regOffset;
 	unsigned long scamData;
 	unsigned long *pScamTbl;
-	struct nvram_info * pCurrNvRam;
+	struct nvram_info *pCurrNvRam;
 
 	pCurrNvRam = ((struct sccb_card *)pCurrCard)->pNvRamInfo;
 
-	if(pCurrNvRam){
+	if (pCurrNvRam) {
 		FPT_WrStack(pCurrNvRam->niBaseAddr, 0, pCurrNvRam->niModel);
 		FPT_WrStack(pCurrNvRam->niBaseAddr, 1, pCurrNvRam->niSysConf);
 		FPT_WrStack(pCurrNvRam->niBaseAddr, 2, pCurrNvRam->niScsiConf);
 		FPT_WrStack(pCurrNvRam->niBaseAddr, 3, pCurrNvRam->niScamConf);
 		FPT_WrStack(pCurrNvRam->niBaseAddr, 4, pCurrNvRam->niAdapId);
 
-		for(i = 0; i < MAX_SCSI_TAR / 2; i++)
-			FPT_WrStack(pCurrNvRam->niBaseAddr, (unsigned char)(i+5), pCurrNvRam->niSyncTbl[i]);
+		for (i = 0; i < MAX_SCSI_TAR / 2; i++)
+			FPT_WrStack(pCurrNvRam->niBaseAddr,
+				    (unsigned char)(i + 5),
+				    pCurrNvRam->niSyncTbl[i]);
 
 		portBase = pCurrNvRam->niBaseAddr;
 
-		for(i = 0; i < MAX_SCSI_TAR; i++){
-			regOffset = hp_aramBase + 64 + i*4;
-			pScamTbl = (unsigned long *) &pCurrNvRam->niScamTbl[i];
+		for (i = 0; i < MAX_SCSI_TAR; i++) {
+			regOffset = hp_aramBase + 64 + i * 4;
+			pScamTbl = (unsigned long *)&pCurrNvRam->niScamTbl[i];
 			scamData = *pScamTbl;
 			WR_HARP32(portBase, regOffset, scamData);
 		}
 
-	}else{
+	} else {
 		FPT_WrStack(((struct sccb_card *)pCurrCard)->ioPort, 0, 0);
 	}
 }
 
-
-static void FPT_RNVRamData(struct nvram_info * pNvRamInfo)
+static void FPT_RNVRamData(struct nvram_info *pNvRamInfo)
 {
 	unsigned char i;
 	unsigned long portBase;
@@ -1607,21 +1436,22 @@ static void FPT_RNVRamData(struct nvram_
 	unsigned long scamData;
 	unsigned long *pScamTbl;
 
-	pNvRamInfo->niModel    = FPT_RdStack(pNvRamInfo->niBaseAddr, 0);
-	pNvRamInfo->niSysConf  = FPT_RdStack(pNvRamInfo->niBaseAddr, 1);
+	pNvRamInfo->niModel = FPT_RdStack(pNvRamInfo->niBaseAddr, 0);
+	pNvRamInfo->niSysConf = FPT_RdStack(pNvRamInfo->niBaseAddr, 1);
 	pNvRamInfo->niScsiConf = FPT_RdStack(pNvRamInfo->niBaseAddr, 2);
 	pNvRamInfo->niScamConf = FPT_RdStack(pNvRamInfo->niBaseAddr, 3);
-	pNvRamInfo->niAdapId   = FPT_RdStack(pNvRamInfo->niBaseAddr, 4);
+	pNvRamInfo->niAdapId = FPT_RdStack(pNvRamInfo->niBaseAddr, 4);
 
-	for(i = 0; i < MAX_SCSI_TAR / 2; i++)
-		pNvRamInfo->niSyncTbl[i] = FPT_RdStack(pNvRamInfo->niBaseAddr, (unsigned char)(i+5));
+	for (i = 0; i < MAX_SCSI_TAR / 2; i++)
+		pNvRamInfo->niSyncTbl[i] =
+		    FPT_RdStack(pNvRamInfo->niBaseAddr, (unsigned char)(i + 5));
 
 	portBase = pNvRamInfo->niBaseAddr;
 
-	for(i = 0; i < MAX_SCSI_TAR; i++){
-		regOffset = hp_aramBase + 64 + i*4;
+	for (i = 0; i < MAX_SCSI_TAR; i++) {
+		regOffset = hp_aramBase + 64 + i * 4;
 		RD_HARP32(portBase, regOffset, scamData);
-		pScamTbl = (unsigned long *) &pNvRamInfo->niScamTbl[i];
+		pScamTbl = (unsigned long *)&pNvRamInfo->niScamTbl[i];
 		*pScamTbl = scamData;
 	}
 
@@ -1630,29 +1460,30 @@ static void FPT_RNVRamData(struct nvram_
 static unsigned char FPT_RdStack(unsigned long portBase, unsigned char index)
 {
 	WR_HARPOON(portBase + hp_stack_addr, index);
-	return(RD_HARPOON(portBase + hp_stack_data));
+	return (RD_HARPOON(portBase + hp_stack_data));
 }
 
-static void FPT_WrStack(unsigned long portBase, unsigned char index, unsigned char data)
+static void FPT_WrStack(unsigned long portBase, unsigned char index,
+			unsigned char data)
 {
 	WR_HARPOON(portBase + hp_stack_addr, index);
 	WR_HARPOON(portBase + hp_stack_data, data);
 }
 
-
 static unsigned char FPT_ChkIfChipInitialized(unsigned long ioPort)
 {
-	if((RD_HARPOON(ioPort + hp_arb_id) & 0x0f) != FPT_RdStack(ioPort, 4))
-		return(0);
-	if((RD_HARPOON(ioPort + hp_clkctrl_0) & CLKCTRL_DEFAULT)
-								!= CLKCTRL_DEFAULT)
-		return(0);
-	if((RD_HARPOON(ioPort + hp_seltimeout) == TO_250ms) ||
-		(RD_HARPOON(ioPort + hp_seltimeout) == TO_290ms))
-		return(1);
-	return(0);
+	if ((RD_HARPOON(ioPort + hp_arb_id) & 0x0f) != FPT_RdStack(ioPort, 4))
+		return (0);
+	if ((RD_HARPOON(ioPort + hp_clkctrl_0) & CLKCTRL_DEFAULT)
+	    != CLKCTRL_DEFAULT)
+		return (0);
+	if ((RD_HARPOON(ioPort + hp_seltimeout) == TO_250ms) ||
+	    (RD_HARPOON(ioPort + hp_seltimeout) == TO_290ms))
+		return (1);
+	return (0);
 
 }
+
 /*---------------------------------------------------------------------
  *
  * Function: FlashPoint_StartCCB
@@ -1662,117 +1493,115 @@ static unsigned char FPT_ChkIfChipInitia
  *              callback function.
  *
  *---------------------------------------------------------------------*/
-static void FlashPoint_StartCCB(unsigned long pCurrCard, struct sccb * p_Sccb)
+static void FlashPoint_StartCCB(unsigned long pCurrCard, struct sccb *p_Sccb)
 {
-   unsigned long ioport;
-   unsigned char thisCard, lun;
-	struct sccb * pSaveSccb;
-   CALL_BK_FN callback;
+	unsigned long ioport;
+	unsigned char thisCard, lun;
+	struct sccb *pSaveSccb;
+	CALL_BK_FN callback;
 
-   thisCard = ((struct sccb_card *) pCurrCard)->cardIndex;
-   ioport = ((struct sccb_card *) pCurrCard)->ioPort;
+	thisCard = ((struct sccb_card *)pCurrCard)->cardIndex;
+	ioport = ((struct sccb_card *)pCurrCard)->ioPort;
 
-	if((p_Sccb->TargID > MAX_SCSI_TAR) || (p_Sccb->Lun > MAX_LUN))
-	{
+	if ((p_Sccb->TargID > MAX_SCSI_TAR) || (p_Sccb->Lun > MAX_LUN)) {
 
 		p_Sccb->HostStatus = SCCB_COMPLETE;
 		p_Sccb->SccbStatus = SCCB_ERROR;
-		callback = (CALL_BK_FN)p_Sccb->SccbCallback;
+		callback = (CALL_BK_FN) p_Sccb->SccbCallback;
 		if (callback)
 			callback(p_Sccb);
 
 		return;
 	}
 
-   FPT_sinits(p_Sccb,thisCard);
-
+	FPT_sinits(p_Sccb, thisCard);
 
-   if (!((struct sccb_card *) pCurrCard)->cmdCounter)
-      {
-      WR_HARPOON(ioport+hp_semaphore, (RD_HARPOON(ioport+hp_semaphore)
-         | SCCB_MGR_ACTIVE));
+	if (!((struct sccb_card *)pCurrCard)->cmdCounter) {
+		WR_HARPOON(ioport + hp_semaphore,
+			   (RD_HARPOON(ioport + hp_semaphore)
+			    | SCCB_MGR_ACTIVE));
 
-      if (((struct sccb_card *) pCurrCard)->globalFlags & F_GREEN_PC)
-         {
-		 WR_HARPOON(ioport+hp_clkctrl_0, CLKCTRL_DEFAULT);
-		 WR_HARPOON(ioport+hp_sys_ctrl, 0x00);
-         }
-      }
+		if (((struct sccb_card *)pCurrCard)->globalFlags & F_GREEN_PC) {
+			WR_HARPOON(ioport + hp_clkctrl_0, CLKCTRL_DEFAULT);
+			WR_HARPOON(ioport + hp_sys_ctrl, 0x00);
+		}
+	}
 
-   ((struct sccb_card *)pCurrCard)->cmdCounter++;
+	((struct sccb_card *)pCurrCard)->cmdCounter++;
 
-   if (RD_HARPOON(ioport+hp_semaphore) & BIOS_IN_USE) {
+	if (RD_HARPOON(ioport + hp_semaphore) & BIOS_IN_USE) {
 
-      WR_HARPOON(ioport+hp_semaphore, (RD_HARPOON(ioport+hp_semaphore)
-         | TICKLE_ME));
-		if(p_Sccb->OperationCode == RESET_COMMAND)
-			{
-				pSaveSccb = ((struct sccb_card *) pCurrCard)->currentSCCB;
-				((struct sccb_card *) pCurrCard)->currentSCCB = p_Sccb;
-				FPT_queueSelectFail(&FPT_BL_Card[thisCard], thisCard);
-				((struct sccb_card *) pCurrCard)->currentSCCB = pSaveSccb;
-			}
-		else
-			{
-	      FPT_queueAddSccb(p_Sccb,thisCard);
-			}
-      }
+		WR_HARPOON(ioport + hp_semaphore,
+			   (RD_HARPOON(ioport + hp_semaphore)
+			    | TICKLE_ME));
+		if (p_Sccb->OperationCode == RESET_COMMAND) {
+			pSaveSccb =
+			    ((struct sccb_card *)pCurrCard)->currentSCCB;
+			((struct sccb_card *)pCurrCard)->currentSCCB = p_Sccb;
+			FPT_queueSelectFail(&FPT_BL_Card[thisCard], thisCard);
+			((struct sccb_card *)pCurrCard)->currentSCCB =
+			    pSaveSccb;
+		} else {
+			FPT_queueAddSccb(p_Sccb, thisCard);
+		}
+	}
 
-   else if ((RD_HARPOON(ioport+hp_page_ctrl) & G_INT_DISABLE)) {
+	else if ((RD_HARPOON(ioport + hp_page_ctrl) & G_INT_DISABLE)) {
 
-			if(p_Sccb->OperationCode == RESET_COMMAND)
-				{
-					pSaveSccb = ((struct sccb_card *) pCurrCard)->currentSCCB;
-					((struct sccb_card *) pCurrCard)->currentSCCB = p_Sccb;
-					FPT_queueSelectFail(&FPT_BL_Card[thisCard], thisCard);
-					((struct sccb_card *) pCurrCard)->currentSCCB = pSaveSccb;
-				}
-			else
-				{
-		      FPT_queueAddSccb(p_Sccb,thisCard);
-				}
-      }
+		if (p_Sccb->OperationCode == RESET_COMMAND) {
+			pSaveSccb =
+			    ((struct sccb_card *)pCurrCard)->currentSCCB;
+			((struct sccb_card *)pCurrCard)->currentSCCB = p_Sccb;
+			FPT_queueSelectFail(&FPT_BL_Card[thisCard], thisCard);
+			((struct sccb_card *)pCurrCard)->currentSCCB =
+			    pSaveSccb;
+		} else {
+			FPT_queueAddSccb(p_Sccb, thisCard);
+		}
+	}
 
-   else {
+	else {
 
-      MDISABLE_INT(ioport);
+		MDISABLE_INT(ioport);
 
-		if((((struct sccb_card *) pCurrCard)->globalFlags & F_CONLUN_IO) && 
-			((FPT_sccbMgrTbl[thisCard][p_Sccb->TargID].TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))
+		if ((((struct sccb_card *)pCurrCard)->globalFlags & F_CONLUN_IO)
+		    &&
+		    ((FPT_sccbMgrTbl[thisCard][p_Sccb->TargID].
+		      TarStatus & TAR_TAG_Q_MASK) != TAG_Q_TRYING))
 			lun = p_Sccb->Lun;
 		else
 			lun = 0;
-      if ((((struct sccb_card *) pCurrCard)->currentSCCB == NULL) &&
-         (FPT_sccbMgrTbl[thisCard][p_Sccb->TargID].TarSelQ_Cnt == 0) &&
-         (FPT_sccbMgrTbl[thisCard][p_Sccb->TargID].TarLUNBusy[lun]
-         == 0)) {
-
-            ((struct sccb_card *) pCurrCard)->currentSCCB = p_Sccb;
-	    FPT_ssel(p_Sccb->SccbIOPort,thisCard);
-         }
+		if ((((struct sccb_card *)pCurrCard)->currentSCCB == NULL) &&
+		    (FPT_sccbMgrTbl[thisCard][p_Sccb->TargID].TarSelQ_Cnt == 0)
+		    && (FPT_sccbMgrTbl[thisCard][p_Sccb->TargID].TarLUNBusy[lun]
+			== 0)) {
 
-      else {
+			((struct sccb_card *)pCurrCard)->currentSCCB = p_Sccb;
+			FPT_ssel(p_Sccb->SccbIOPort, thisCard);
+		}
 
-			if(p_Sccb->OperationCode == RESET_COMMAND)
-				{
-					pSaveSccb = ((struct sccb_card *) pCurrCard)->currentSCCB;
-					((struct sccb_card *) pCurrCard)->currentSCCB = p_Sccb;
-					FPT_queueSelectFail(&FPT_BL_Card[thisCard], thisCard);
-					((struct sccb_card *) pCurrCard)->currentSCCB = pSaveSccb;
-				}
-			else
-				{
-	         	FPT_queueAddSccb(p_Sccb,thisCard);
-				}
-         }
+		else {
 
+			if (p_Sccb->OperationCode == RESET_COMMAND) {
+				pSaveSccb =
+				    ((struct sccb_card *)pCurrCard)->
+				    currentSCCB;
+				((struct sccb_card *)pCurrCard)->currentSCCB =
+				    p_Sccb;
+				FPT_queueSelectFail(&FPT_BL_Card[thisCard],
+						    thisCard);
+				((struct sccb_card *)pCurrCard)->currentSCCB =
+				    pSaveSccb;
+			} else {
+				FPT_queueAddSccb(p_Sccb, thisCard);
+			}
+		}
 
-      MENABLE_INT(ioport);
-      }
+		MENABLE_INT(ioport);
+	}
 
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FlashPoint_AbortCCB
@@ -1782,98 +1611,106 @@ static void FlashPoint_StartCCB(unsigned
  *              callback function.
  *
  *---------------------------------------------------------------------*/
-static int FlashPoint_AbortCCB(unsigned long pCurrCard, struct sccb * p_Sccb)
+static int FlashPoint_AbortCCB(unsigned long pCurrCard, struct sccb *p_Sccb)
 {
 	unsigned long ioport;
 
 	unsigned char thisCard;
 	CALL_BK_FN callback;
 	unsigned char TID;
-	struct sccb * pSaveSCCB;
-	struct sccb_mgr_tar_info * currTar_Info;
-
+	struct sccb *pSaveSCCB;
+	struct sccb_mgr_tar_info *currTar_Info;
 
-	ioport = ((struct sccb_card *) pCurrCard)->ioPort;
+	ioport = ((struct sccb_card *)pCurrCard)->ioPort;
 
 	thisCard = ((struct sccb_card *)pCurrCard)->cardIndex;
 
-	if (!(RD_HARPOON(ioport+hp_page_ctrl) & G_INT_DISABLE))
-	{
+	if (!(RD_HARPOON(ioport + hp_page_ctrl) & G_INT_DISABLE)) {
 
-		if (FPT_queueFindSccb(p_Sccb,thisCard))
-		{
+		if (FPT_queueFindSccb(p_Sccb, thisCard)) {
 
 			((struct sccb_card *)pCurrCard)->cmdCounter--;
 
 			if (!((struct sccb_card *)pCurrCard)->cmdCounter)
-				WR_HARPOON(ioport+hp_semaphore,(RD_HARPOON(ioport+hp_semaphore)
-					& (unsigned char)(~(SCCB_MGR_ACTIVE | TICKLE_ME)) ));
+				WR_HARPOON(ioport + hp_semaphore,
+					   (RD_HARPOON(ioport + hp_semaphore)
+					    & (unsigned
+					       char)(~(SCCB_MGR_ACTIVE |
+						       TICKLE_ME))));
 
 			p_Sccb->SccbStatus = SCCB_ABORT;
 			callback = p_Sccb->SccbCallback;
 			callback(p_Sccb);
 
-			return(0);
+			return (0);
 		}
 
-		else
-		{
-			if (((struct sccb_card *)pCurrCard)->currentSCCB == p_Sccb)
-			{
+		else {
+			if (((struct sccb_card *)pCurrCard)->currentSCCB ==
+			    p_Sccb) {
 				p_Sccb->SccbStatus = SCCB_ABORT;
-				return(0);
+				return (0);
 
 			}
 
-			else
-			{
+			else {
 
 				TID = p_Sccb->TargID;
 
-
-				if(p_Sccb->Sccb_tag)
-				{
+				if (p_Sccb->Sccb_tag) {
 					MDISABLE_INT(ioport);
-					if (((struct sccb_card *) pCurrCard)->discQ_Tbl[p_Sccb->Sccb_tag]==p_Sccb)
-					{
+					if (((struct sccb_card *)pCurrCard)->
+					    discQ_Tbl[p_Sccb->Sccb_tag] ==
+					    p_Sccb) {
 						p_Sccb->SccbStatus = SCCB_ABORT;
-						p_Sccb->Sccb_scsistat = ABORT_ST;
-						p_Sccb->Sccb_scsimsg = SMABORT_TAG;
-
-						if(((struct sccb_card *) pCurrCard)->currentSCCB == NULL)
-						{
-							((struct sccb_card *) pCurrCard)->currentSCCB = p_Sccb;
-							FPT_ssel(ioport, thisCard);
-						}
-						else
-						{
-							pSaveSCCB = ((struct sccb_card *) pCurrCard)->currentSCCB;
-							((struct sccb_card *) pCurrCard)->currentSCCB = p_Sccb;
-							FPT_queueSelectFail((struct sccb_card *) pCurrCard, thisCard);
-							((struct sccb_card *) pCurrCard)->currentSCCB = pSaveSCCB;
+						p_Sccb->Sccb_scsistat =
+						    ABORT_ST;
+						p_Sccb->Sccb_scsimsg =
+						    SMABORT_TAG;
+
+						if (((struct sccb_card *)
+						     pCurrCard)->currentSCCB ==
+						    NULL) {
+							((struct sccb_card *)
+							 pCurrCard)->
+					currentSCCB = p_Sccb;
+							FPT_ssel(ioport,
+								 thisCard);
+						} else {
+							pSaveSCCB =
+							    ((struct sccb_card
+							      *)pCurrCard)->
+							    currentSCCB;
+							((struct sccb_card *)
+							 pCurrCard)->
+					currentSCCB = p_Sccb;
+							FPT_queueSelectFail((struct sccb_card *)pCurrCard, thisCard);
+							((struct sccb_card *)
+							 pCurrCard)->
+					currentSCCB = pSaveSCCB;
 						}
 					}
 					MENABLE_INT(ioport);
-					return(0);
-				}
-				else
-				{
-					currTar_Info = &FPT_sccbMgrTbl[thisCard][p_Sccb->TargID];
-
-					if(FPT_BL_Card[thisCard].discQ_Tbl[currTar_Info->LunDiscQ_Idx[p_Sccb->Lun]] 
-							== p_Sccb)
-					{
+					return (0);
+				} else {
+					currTar_Info =
+					    &FPT_sccbMgrTbl[thisCard][p_Sccb->
+								      TargID];
+
+					if (FPT_BL_Card[thisCard].
+					    discQ_Tbl[currTar_Info->
+						      LunDiscQ_Idx[p_Sccb->Lun]]
+					    == p_Sccb) {
 						p_Sccb->SccbStatus = SCCB_ABORT;
-						return(0);
+						return (0);
 					}
 				}
 			}
 		}
 	}
-	return(-1);
+	return (-1);
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FlashPoint_InterruptPending
@@ -1884,22 +1721,19 @@ static int FlashPoint_AbortCCB(unsigned 
  *---------------------------------------------------------------------*/
 static unsigned char FlashPoint_InterruptPending(unsigned long pCurrCard)
 {
-   unsigned long ioport;
+	unsigned long ioport;
 
-   ioport = ((struct sccb_card *)pCurrCard)->ioPort;
+	ioport = ((struct sccb_card *)pCurrCard)->ioPort;
 
-   if (RD_HARPOON(ioport+hp_int_status) & INT_ASSERTED)
-   {
-      return(1);
-   }
+	if (RD_HARPOON(ioport + hp_int_status) & INT_ASSERTED) {
+		return (1);
+	}
 
-   else
+	else
 
-      return(0);
+		return (0);
 }
 
-
-
 /*---------------------------------------------------------------------
  *
  * Function: FlashPoint_HandleInterrupt
